This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 502557 - system-config-selinux fails
system-config-selinux fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
: 502529 502607 (view as bug list)
Depends On: 500828
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 03:04 EDT by Dan Horák
Modified: 2009-11-18 08:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 500828
Environment:
Last Closed: 2009-11-18 08:32:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2009-05-26 03:04:05 EDT
F-10 has the same problem as rawhide with system-config-selinux from
policycoreutils-gui-2.0.57-21.fc10.x86_64

+++ This bug was initially created as a clone of Bug #500828 +++

policycoreutils-gui-2.0.62-12.4.fc11.x86_64

starting system-config-selinux results in:

# system-config-selinux
/usr/share/system-config-selinux/system-config-selinux.py:72: Warning: IA__g_object_get_valist: object class `GnomeProgram' has no property named `default-icon'
  xml = gtk.glade.XML ("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 188, in <module>
    app = childWindow()
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 91, in __init__
    self.add_page(portsPage.portsPage(xml))
  File "/usr/share/system-config-selinux/portsPage.py", line 69, in __init__
    self.load()
  File "/usr/share/system-config-selinux/portsPage.py", line 136, in load
    self.store.set_value(iter, PROTOCOL_COL, k[2])
IndexError: tuple index out of range

--- Additional comment from dwalsh@redhat.com on 2009-05-14 09:05:07 EDT ---

Fixed in policycoreutils-gui-2.0.62-12.5.fc11.x86_64

--- Additional comment from bgsmith@bendcable.com on 2009-05-25 15:15:31 EDT ---

For what it is worth I also get this error in FC 10 with policycoreutils-gui-2.0.57-21.fc10.x86_64 

The end result is that i cannot start the SELinux Management tool from the System | Administation menu nor from the command line.

Thanks

Brad

--- Additional comment from bogado@bogado.net on 2009-05-25 19:38:49 EDT ---

Iḿ getting the same problem with version policycoreutils-gui-2.0.57-21.fc10.x86_64
Comment 1 Daniel Walsh 2009-05-26 08:55:43 EDT
*** Bug 502529 has been marked as a duplicate of this bug. ***
Comment 2 Daniel Walsh 2009-05-26 08:56:55 EDT
*** Bug 502607 has been marked as a duplicate of this bug. ***
Comment 3 Miroslav Grepl 2009-05-26 11:43:41 EDT
Fixed in policycoreutils-2.0.57-22.fc10
Comment 4 Bug Zapper 2009-11-18 07:01:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.